Bug 206766 - mm_struct leak and illegal arguments for rebalance_inactive()
mm_struct leak and illegal arguments for rebalance_inactive()
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: kernel (Show other bugs)
rhl9
All Linux
medium Severity high
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-16 07:27 EDT by Shuichi KITAGUCHI
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 16:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program to reproduce. (632 bytes, patch)
2006-09-16 07:27 EDT, Shuichi KITAGUCHI
no flags Details | Diff
patch for fix leaking mm_struct. (1.21 KB, patch)
2006-09-16 07:28 EDT, Shuichi KITAGUCHI
no flags Details | Diff
patch for rebalance_inactive. (392 bytes, patch)
2006-09-16 07:29 EDT, Shuichi KITAGUCHI
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 91090 None None None Never

  None (edit)
Description Shuichi KITAGUCHI 2006-09-16 07:27:17 EDT
Description of problem:
two problems are found:
a. mm_struct's leak may be caused by scheduler bug in some situation.
b. arguments of rebalance_inactive()@mm/page_alloc()

How reproducible:
a. always. (see below)
b. difficult to produce, but apparently this is a bug.

Steps to Reproduce:
1. see mm_struct entry in /proc/slabinfo
2. runs test program.(attached)
3. see mm_struct entry in /proc/slabinfo
4. runs test program.(attached)
...
 
Actual results:
mm_struct entry grows(leaks).

Expected results:
mm_struct entry does not grows

Additional info:
attached patches are fixed these two bugs.
Comment 1 Shuichi KITAGUCHI 2006-09-16 07:27:17 EDT
Created attachment 136417 [details]
test program to reproduce.
Comment 2 Shuichi KITAGUCHI 2006-09-16 07:28:19 EDT
Created attachment 136418 [details]
patch for fix leaking mm_struct.
Comment 3 Shuichi KITAGUCHI 2006-09-16 07:29:02 EDT
Created attachment 136419 [details]
patch for rebalance_inactive.
Comment 4 Jesse Keating 2007-08-30 16:07:27 EDT
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.

Note You need to log in before you can comment on or make changes to this bug.